namespace Demo.Domain.Models
{
    public class Presence
    {
        public required User User{get; set; }
        public bool IsAttedance { get; set; } = true;
        public required DateOnly Date { get; set; }

        public required int LessonNumber { get; set; }
    }
    
    public class PresencePost
    {
        public required int firstLesson {get; set; }
        public required int lastLesson {get; set; }
        public required int groupID {get; set; }
        public required DateOnly date {get; set; }
    }

    public class PresenceGetRequest
    {
        public int groupID { get; set; }
        public DateOnly startDate { get; set; }
        public DateOnly endDate { get; set; }
    }

    public class PresenceResponce
    {
        public string GroupName { get; set; }
        public List<UserPresenceInfo> Users { get; set; }
    }
}